import User from "../../model/user";

Component({
  properties: {
    login:Boolean
  },
  observers: {
    login: function (flag) {
      this.setData({
        isLogin:flag
      })
    },
  },
  data: {
    isLogin:false
  },
  methods: {
    async toLogin(e) {
      await User.checkLogin();
    },
  },
  pageLifetimes: {
    show: function() {
      const isLogin = User.isLogin();
      if (this.data.isLogin != isLogin){
        this.triggerEvent('login', {
          isLogin
        })
      } else if (isLogin) {
        // 如果已登录过，触发刷新方法，刷新页面数据
        this.triggerEvent('refresh', {
          isLogin
        });
      }
      this.setData({
        isLogin,
      });
    },
    hide: function() {
      // 页面被隐藏
    },
    resize: function(size) {
      // 页面尺寸变化
    }
  }
})
