import {getDataSet} from "../../../../utils/utils";
import dayjs from "dayjs";
import {weekTypes} from "../../../../model/enum";

Component({
    properties: {
        startTime: String,
        endTime: String,
    },
    data: {
        active: '0',
        filterArr: [],
        startS: '',
        endS: '',
    },
    methods: {
        async clickTime(e) {
            let index = getDataSet(e, "index");
            this.setData({
                active: index,
            })
            this.triggerEvent("select", {date: this.data.filterArr[index].dateString})
        },
    },
    async attached() {
        let start = dayjs(this.data.startTime);
        let startS = dayjs(this.data.startTime).format("YYYY年MM月DD日");
        let end = dayjs(this.data.endTime);
        let endS = dayjs(this.data.endTime).format("YYYY年MM月DD日");

        let filterArr = [{dateString: ''}];
        let current = start;
        while (end.isAfter(current) || end.isSame(current)) {
            filterArr.push({
                dateString: current.format("YYYY-MM-DD"),
                day: current.date(),
                week: weekTypes[current.day()]
            })
            current = current.add(1, 'day')
        }
        this.setData({
            filterArr, startS, endS
        })
    },
});
