import Api from "../../model/api";
import {formatTime, handleRichTextImgAuto} from "../../utils/utils";
import {videoTypes} from "../../model/enum";

Page({
    data: {
        item: {},
        url: ''
    },
    async onLoad(options) {
        const {title, id, type} = options;
        wx.setNavigationBarTitle({title})
        if (type == videoTypes.SCORE) {
            const res = await Api.getScore(id, true);
            res.data.courseIntro = handleRichTextImgAuto(res.data.courseIntro);
            const arrys = JSON.parse(res.data.courseUrl);
            let url = "";
            if (arrys && arrys.length && arrys.length > 0) {
                url = arrys[0].url;
            }
            const time = res.data.updateTime || res.data.createTime || '';
            res.data.time = formatTime(time);
            this.setData({
                item: res.data,
                url
            })
        } else if (type == videoTypes.COMMON) {
            const res = await Api.getVideoDetail(id, true);
            res.data.videoContent = handleRichTextImgAuto(res.data.videoContent);
            const arrys = JSON.parse(res.data.videoPath);
            let url = "";
            if (arrys && arrys.length && arrys.length > 0) {
                url = arrys[0].url;
            }
            const time = res.data.updateTime || res.data.createTime || '';
            res.data.time = formatTime(time);
            this.setData({
                item: res.data,
                url
            })
        }

    }
})
